%define upstream_name    Text-Levenshtein-Damerau
%define upstream_version 0.41

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Pure Perl Damerau Levenshtein edit distance
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Returns the true Damerau Levenshtein edit distance of strings with adjacent
transpositions. Useful for fuzzy matching, DNA variation metrics, and fraud
detection.

Defaults to using Pure Perl the Text::Levenshtein::Damerau::PP manpage, but
has an XS addon the Text::Levenshtein::Damerau::XS manpage for massive
speed imrovements. Works correctly with utf8 if backend supports it; known
to work with 'Text::Levenshtein::Damerau::PP' and
'Text::Levenshtein::Damerau::XS'.

	use utf8;
	my $tld = Text::Levenshtein::Damerau->new('ⓕⓞⓤⓡ');
	print $tld->dld('ⓕⓤⓞⓡ');
	# prints 1

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc LICENSE META.json README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.410.0-3pclos2017
- rebuild against updates

